Get a saved payment method
curl --request GET \
--url https://demo-api-harmony.compago.com/api/developer/v1/payment-method/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://demo-api-harmony.compago.com/api/developer/v1/payment-method/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://demo-api-harmony.compago.com/api/developer/v1/payment-method/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"externalId": "<string>",
"collectFunds": "<string>",
"collectAmount": 123,
"verificationAmount": 123,
"displayMode": "<string>",
"redirectUrl": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"card": {
"lastFourDigits": "<string>",
"network": "<string>",
"fundingSource": "<string>",
"issuingBank": "<string>"
},
"customer": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phoneNumber": "<string>"
}
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Saved cards
Get a saved payment method
A single saved payment method.
GET
/
developer
/
v1
/
payment-method
/
{id}
Get a saved payment method
Authorizations
Path Parameters
Response
Success.
Pass this to the charge endpoints.
Available options:
PENDING, ACTIVE, REVOKED, EXPIRED Your own identifier for this saved card.
The card, masked. The full number and the stored token are never returned.
Show child attributes
Show child attributes
Show child attributes
Show child attributes